Bug 499340 - X fails to launch when kernel option nomodeset is added for ATI Radeon X800
X fails to launch when kernel option nomodeset is added for ATI Radeon X800
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 05:13 EDT by Joachim Frieben
Modified: 2009-05-18 07:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 07:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for kernel option nomodeset but without xorg.conf (42.98 KB, text/plain)
2009-05-06 08:30 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-05-06 05:13:12 EDT
Description of problem:
After updating to kernel 2.6.29.2-129.fc11.x86_64, kernel option "nomodeset" will prevent X from launching successfully. After a couple of unsuccessful attempts to start X, the system falls back to a virtual console.
According to Xorg.0.log, no screens were found.

Version-Release number of selected component (if applicable):
kernel-2.6.29.2-129.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot system into run level 5.
  
Actual results:
No X.

Expected results:
X starts and GDM appears on the screen.

Additional info:
- X starts correctly with enabled mode setting but in that case, "supend"
  is broken [bug 493254].
- Last working kernel was 2.6.29.2-128.fc11.x86_64. According to the
  changelog of the kernel package:
  * Wed May 06 2009 Dave Airlie <airlied@redhat.com> 2.6.29.2-129
  - drm-modesetting-radeon.patch: rebase onto drm-next.
Comment 1 Joachim Frieben 2009-05-06 08:30:38 EDT
Created attachment 342636 [details]
Xorg.0.log for kernel option nomodeset but without xorg.conf

For the latest Koji packages, X does not abort anymore when "nomodeset" is added to the kernel options. Instead, the monitor powers off. There is no response to keyboard input and the system has to be powered off. Installed packages include:

- kernel-2.6.29.2-129.fc11.x86_64
- libdrm-2.4.6-6.fc11.x86_64
- mesa-*-7.5-0.13.fc11.x86_64
- xorg-x11-drv-ati-6.12.2-12.fc11.x86_64
- xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64

Note You need to log in before you can comment on or make changes to this bug.